import requests
from api_auth import APICredentials, APIParams
 
class DRMPolicies:
    def __init__(self):
        self.host = "https://services.uplynk.com"
 
    def run(self):
        """
        Retrieve all DRM policies.
        """
        self._get_drm_policies()
 
    def _get_drm_policies(self):
        url = "{}{}".format(self.host, "/api/v3/drm/policies")
 
        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({})
        )
 
        print(response.json())
 
DRMPolicies().run()